Bug 1796616 - [ovn] fix handing of IPv6 addresses to ovn-ctl
Summary: [ovn] fix handing of IPv6 addresses to ovn-ctl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Ben Bennett
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks: 1801802
TreeView+ depends on / blocked
 
Reported: 2020-01-30 19:18 UTC by Dan Williams
Modified: 2020-05-13 21:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1801802 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:55:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 459 0 None closed Bug 1796616: Put brackets around IPv6 addresses passed to ovn-ctl 2020-06-02 19:09:01 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:56:01 UTC

Description Dan Williams 2020-01-30 19:18:59 UTC
Our scripting in ovnkube daemonset yaml and ovn-ctl's idea of IPv6 address formatting does not agree. Make them agree.

Comment 2 zhaozhanqi 2020-02-05 02:21:32 UTC
until now the ipv6 cluster for 4.4 have not be ready. will verify this bug if once ready.

Comment 3 Dan Winship 2020-02-11 16:25:07 UTC
verified in test builds

Comment 5 errata-xmlrpc 2020-05-13 21:55:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.